Bug 1004800 - Upgrade the ModeShape EAP kit to align with the component versions from EAP 6.1.1
Upgrade the ModeShape EAP kit to align with the component versions from EAP 6...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 09:58 EDT by Horia Chiorean
Modified: 2016-02-10 03:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:52:31 EST
Type: Component Upgrade
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2028 Critical Closed Upgrade the ModeShape EAP kit to be compatible with EAP 6.1.1 2015-07-09 02:56:57 EDT

  None (edit)
Description Horia Chiorean 2013-09-05 09:58:02 EDT
The current ModeShape kit (used both by S-RAMP and DV) has its dependencies aligned with EAP 6.0. Since EAP 6.1.1 is the target platform for GA we should align our component dependencies and make sure they are compatible.
Comment 1 JBoss JIRA Server 2013-09-10 10:45:21 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2028

Updated the EAP kit to 6.1.1.GA
Comment 2 JBoss JIRA Server 2013-09-10 17:54:43 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2028

For validating this PR, make sure that you do the following:

# If you build with {{mvn -s settings.xml}} you will automatically see the EAP 6.1.1 Maven repository. However, if you're using a local {{settings.xml}} you must update it to point to the EAP 6.1.1 repo at http://maven.repository.redhat.com/techpreview/eap6/6.1.1/maven-repository
# Download the EAP 6.1.1 ZIP installation (called {{jboss-eap-6.1.1.zip}}), and then run the {{bin/install-eap.sh}} script and pass in the location of the downloaded ZIP file. The installation ZIP file is currently available via the [Red Hat client portal|https://access.redhat.com/] (for subscribers) and is expected to become available at [jboss.org|http://www.jboss.org/jbossas/downloads] soon.

**The updated kit is backwards compatible** and will therefore install into EAP 6.1.0 and EAP 6.1.1 installations. So if for some reason you can't get {{jboss-eap-6.1.1.zip}}, just run the script in the second step above by passing in {{jboss-eap-6.1.0.zip}}.
Comment 3 JBoss JIRA Server 2013-09-10 17:55:53 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2028

Rebased and merged into the 'master' branch. Leaving open until it can be cherry-picked into the '3.3.x-prod-ip6.0' branch.
Comment 6 belong 2013-09-18 22:13:07 EDT
I assume this does not need to be documented in Release Notes - setting to requries_doc_text- accordingly.
Comment 10 JBoss JIRA Server 2013-10-24 05:22:57 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2028 to Closed
Comment 11 JBoss JIRA Server 2013-10-25 20:14:39 EDT
David Metcalf <dm@metcalf.net> made a comment on jira MODE-2028

I get this building master:

#mvn clean install -s settings.xml -Passembly -DskipTests
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-dependency-plugin:2.3:unpack (unpack) on project modeshape-jbossas-integration-tests: Unable to find artifact. Could not find artifact org.jboss.as:jboss-eap:zip:6.1.1.GA in jboss-eap-techpreview (http://maven.repository.redhat.com/techpreview/eap6/6.1.1/maven-repository)
[ERROR] 

If manually downloading and installing a zip is part of the build process, it should probably be documented here?: https://github.com/ModeShape/modeshape/blob/master/README.md#Building%20ModeShape and https://community.jboss.org/wiki/ModeShapeAndMaven

Plus if it's not in public repos, not publicly available and you need knowledge that a previous version is compatible instead, it probably needs to be made clearer for users.

This is my first time cloning and building the project.  Just wondering why it's missing the dependency (doesn't build 'out of the box') and stumbled on this jira issue.  Please advise if my interpretation is incorrect.
Comment 12 JBoss JIRA Server 2013-10-28 09:59:16 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2028

Yes, you have to download the EAP 6.1.1 kit and place it into your local Maven repository using our script. See [my comment above|https://issues.jboss.org/browse/MODE-2028?focusedCommentId=12803298&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-12803298] for the details.

I'll update the documentation.
Comment 13 JBoss JIRA Server 2013-11-14 00:38:43 EST
David Metcalf <dm@metcalf.net> made a comment on jira MODE-2028

Thanks Randall!  Followed the updated README.md#Building%20ModeShape and it works great.

Note You need to log in before you can comment on or make changes to this bug.